Skip to content

Refresh session_token API

Call this API when refreshing the session_token.

Request Description

http
POST https://{your_domain}/api/v2/tenant/sso/session-token/refresh

Request Example

json
{
    "session_token":"r5ysOPTCBLU1",
    "operating_sys_version":"windows10.1.1",
    "device_ip":"192.168.1.1",
    "device_fingerprint":"156aysdna213sac",
    "agent":"agent:Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/89.0.4389.82 Safari/537.36"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
session_tokenUser token after loginYesStringThe session_token after user login, used to exchange for a new session_token
X-operating-sys-versionCaller OS versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent infoYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "expire": 43200,
    "session_token": "lqIprZxbyUelLbn5Yos33o8TeVnoZJFH"
}

Response Parameters

Parameter NameNameTypeDescription
expiresession_token validity periodNumberValidity period of session_token; within the validity period, you can use session_token to obtain a ticket
session_tokenUser's new session_tokenStringUser session_token; you can use this token to call the IDaaS API to obtain sso_ticket, which can be exchanged for user information

BambooCloud IDaaS Open Platform